View Issue Details

IDProjectCategoryLast Update
0019860AI War 2[All Projects] GUIMay 23, 2019 8:46 am
Reporterdragon95046Assigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.756 Retrieval of the Lost Arks 
Fixed in VersionBETA 0.862 Lobby Overhaul, Knockback, Nanocaust, Final Battle 
Summary0019860: Custom Game screen, changing screens with faction drop down open prevents further input.
DescriptionSteps to reproduce:
1) From the main menu, select Single Player > Custom Start
2) Click the "Factions" option at the top.
3) Click on one of the faction boxes on the left to bring up the drop down list
4) While the drop down list is visible, click "Map".
5) Observe that the screen now shows the options for maps, but you can't click on any of the options.
6) Click on "Factions" again.
7) Observe that clicking on the various options in the Faction menu no longer produce any results.
TagsNo tags attached.

Relationships

child of 0020151 assignedx4000Bughunter Completely redo lobby (parent). 

Activities

BadgerBadger

Jul 26, 2018 9:54 am

manager   ~0048071

The whole game lobby is going to be redone in the near future

x4000Bughunter

Jul 26, 2018 12:02 pm

administrator   ~0048079

Dang! Are you able to work around that, in the shorter term?

BadgerBadger

Jul 26, 2018 12:41 pm

manager   ~0048084

The workaround is straightforward. Don't click on "Map" while you have one of the faction dropdowns open

x4000Bughunter

Jul 26, 2018 12:43 pm

administrator   ~0048085

Okay, whew.

x4000Bughunter

May 17, 2019 9:06 pm

administrator   ~0051683

Quick question: does this still happen on BETA 0.860 or later?

x4000Bughunter

May 23, 2019 8:46 am

administrator   ~0051723

The lobby is completely redone in the upcoming build, and so I really don't think this is possible anymore. But if you see it again in the revised code, please do let us know!

Issue History

Date Modified Username Field Change
Jul 26, 2018 5:50 am dragon95046 New Issue
Jul 26, 2018 9:54 am BadgerBadger Note Added: 0048071
Jul 26, 2018 12:02 pm x4000Bughunter Note Added: 0048079
Jul 26, 2018 12:41 pm BadgerBadger Note Added: 0048084
Jul 26, 2018 12:43 pm x4000Bughunter Note Added: 0048085
Sep 5, 2018 8:12 pm x4000Bughunter Assigned To => x4000Bughunter
Sep 5, 2018 8:12 pm x4000Bughunter Status new => assigned
Sep 5, 2018 8:12 pm x4000Bughunter Relationship added child of 0020151
May 17, 2019 9:06 pm x4000Bughunter Status assigned => feedback
May 17, 2019 9:06 pm x4000Bughunter Note Added: 0051683
May 23, 2019 8:46 am x4000Bughunter Status feedback => resolved
May 23, 2019 8:46 am x4000Bughunter Resolution open => fixed
May 23, 2019 8:46 am x4000Bughunter Fixed in Version => BETA 0.862 Lobby Overhaul, Knockback, Nanocaust, Final Battle
May 23, 2019 8:46 am x4000Bughunter Note Added: 0051723